<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>
    {% block title %}{% endblock %} 
  </title>
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" >
  <!-- Bootstrap core CSS -->
  <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
  <!-- Material Design Bootstrap -->
  <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
  <link href="{% static 'css/style.css' %}" rel="stylesheet">
</head>

<body>
        <!-- Main navigation -->
    <header>
      <!-- Navbar -->
      <nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar primary-color navbar-writing" style="background: #563e91 !important;">
          <div class="container">
              <a class="navbar-brand" href="{% url 'landingpage:intro' %}">Tolhas</a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggler"
                  aria-controls="navbarToggler" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarToggler">
                  <ul class="navbar-nav mr-auto smooth-scroll">
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'landingpage:intro' %}#home">Home</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'landingpage:intro' %}#about" data-offset="90">About</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'landingpage:my_experiences' %}" data-offset="90">Experiences</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'landingpage:my_resume_contact' %}" data-offset="90">Resume</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'landingpage:my_resume_contact' %}" data-offset="30">Contact</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'landingpage:my_writing' %}" data-offset="90">My Writing</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'schedule:all_schedules' %}" data-offset="90">Schedules</a>
                      </li>
                  </ul>
                  <!-- Social Icon  -->
                  <ul class="navbar-nav nav-flex-icons">
                      <li class="nav-item">
                          <a class="nav-link" href="https://www.facebook.com/tolhas.jonathan.7">
                              <i class="fab fa-facebook light-green-text-2"></i>
                          </a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="https://github.com/tolhassianipar">
                              <i class="fab fa-github light-green-text-2"></i>
                          </a>
                      </li>
                  </ul>
              </div>
          </div>
      </nav>
      <!-- Navbar -->

    </header>

    <div class="body-container">
        {% block content %}
        {% endblock %}
    </div>

   <!-- Footer -->
    <footer class="page-footer font-small pt-4">

            <div class="container">

                <ul class="list-unstyled list-inline text-center">
                    <li class="list-inline-item">
                    <a class="btn-floating btn-fb mx-1" href="https://www.facebook.com/tolhas.jonathan.7">
                        <i class="fab fa-facebook"> </i>
                    </a>
                    </li>
                    <li class="list-inline-item">
                    <a class="btn-floating btn-li mx-1" href="https://www.linkedin.com/in/tolhas-jonathan-9a810a180">
                        <i class="fab fa-linkedin"> </i>
                    </a>
                    </li>
                    <li class="list-inline-item">
                        <a class="btn-floating btn-li mx-1" href="https://github.com/tolhassianipar">
                            <i class="fab fa-github"></i>   
                        </a>
                    </li>
                </ul>
        
            </div>

            <!-- Copyright -->
            <div class="footer-copyright text-center py-3">Tolhas's Website Reference:
                <a href="https://mdbootstrap.com/bootstrap-tutorial/"> MDBootstrap.com</a>
            </div>
    
    </footer>
    <!-- Footer -->


    <button onclick="topFunction()" id="myBtn" title="back to top" class = "btn btn-secondary">
        <i class="fas fa-arrow-up"></i>
    </button>

    <!-- SCRIPTS -->
    <!-- JQuery -->
    <script type="text/javascript" src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
    <!-- Bootstrap tooltips -->
    <script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
    <!-- Bootstrap core JavaScript -->
    <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- MDB core JavaScript -->
    <script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>

    <script>
    mybutton = document.getElementById("myBtn");

    window.onscroll = function() {scrollFunction()};

    function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
        mybutton.style.display = "block";
    } else {
        mybutton.style.display = "none";
    }
    }
    
    function topFunction() {
    document.body.scrollTop = 0; // For Safari
    document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
    }
    
    new WOW().init();
    </script>
    {% block script %}
    {% endblock %}
</body>

</html>